Package org.bukkit.material

# Class FurnaceAndDispenser

java.lang.Object
org.bukkit.material.MaterialData
org.bukkit.material.DirectionalContainer
org.bukkit.material.FurnaceAndDispenser

All Implemented Interfaces:
  `Cloneable`, `Directional`

Direct Known Subclasses:
  `Dispenser`, `Furnace`

@Deprecated public class FurnaceAndDispenser extends DirectionalContainer
Deprecated.
all usage of MaterialData is deprecated and subject to removal. Use `BlockData`.
Represents a furnace or dispenser, two types of directional containers

## Constructor Summary

Constructors
Constructor
Description
`FurnaceAndDispenser(Material type)`
Deprecated.
`FurnaceAndDispenser(Material type, byte data)`
Deprecated.
Magic value

## Method Summary

Modifier and Type
Method
Description
`FurnaceAndDispenser`
`clone()`
Deprecated.

### Methods inherited from class org.bukkit.material.DirectionalContainer

`getFacing, setFacingDirection, toString`

### Methods inherited from class org.bukkit.material.MaterialData

`equals, getData, getItemType, hashCode, setData, toItemStack, toItemStack`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### FurnaceAndDispenser

public FurnaceAndDispenser(Material type)
Deprecated.

### FurnaceAndDispenser

@Deprecated public FurnaceAndDispenser(Material type, byte data)
Deprecated.
Magic value

Parameters:
  `type` - the type
  `data` - the raw data value

## Method Details

### clone

public FurnaceAndDispenser clone()
Deprecated.

Overrides:
  `clone` in class `DirectionalContainer`